# Note that this is NOT a relocatable package
%define ver      1.0.0
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /

Summary: Kernel part of Affix Bluetooth stack
Name: affix-kernel
Version: %ver
Release: %rel
Copyright: GPL
Group: System Environment/Kernel
Vendor: Nokia Research Center
Packager: Mitja Pufic <raveer@section-one.org>
Source: http://affix.sourceforge.net/affix-kernel-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://affix.sourceforge.net
Docdir: %{prefix}usr/share/doc
Requires: glibc >= 2.2.4
Requires: kernel-pcmcia-cs >= 3.1.27
Requires: hotplug >= 2002_04_01
Requires: kernel >= 2.4.18

%description
Affix Bluetooth kernel modules for USB / PCMCIA bluetooth devices.

Affix Bluetooth Protocol Stack for Linux has been developed at
Nokia Research Center in Helsinki, Finland.

Affix package supports the following profiles:
        - General Access Profie
        - Service Discovery Profile
        - Serial Port Profile
        - DialUp Networking Profile
        - LAN Access Profile
        - OBEX Object Push Profile
        - OBEX File Transfer Profile
        - PAN Profile

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%changelog

* Wed Jul 07 2002 Mitja Pufic <m@section-one.org>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./Configure --target=/var/tmp/affix-kernel-1.0.0-root
make

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir -p %{name}-%{PACKAGE_VERSION}-root/etc/pcmcia
%clean
rm -rf $RPM_BUILD_ROOT

%post
cat /usr/share/doc/affix-kernel-1.0.0/modutils >> /etc/modules.conf

%files
%defattr(-, root, root)

/lib/modules/*/kernel/net/bluetooth/*
/etc/pcmcia/*
/lib/modules/*/kernel/drivers/bluetooth/*
/lib/modules/*/kernel/drivers/usb/affix*

%doc CREDITS COPYING ChangeLog NEWS README LEGAL TODO etc/modutils
